Skip to main content
GET
/
v2
/
telematics
/
analytics
/
trailers
/
live-locations
List trailer live locations
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/analytics/trailers/live-locations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "trailer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tsp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tsp_slug": "<string>",
      "trailer_name": "<string>",
      "vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "driver_name": "<string>",
      "trailer_h3_index_11": 123,
      "trailer_location_occurred_at": "2023-11-07T05:31:56Z",
      "trailer_location": {
        "type": "<string>",
        "coordinates": {
          "[0]": 123,
          "[1]": 123
        },
        "bbox": {
          "[0]": 123,
          "[1]": 123,
          "[2]": 123,
          "[3]": 123
        }
      },
      "vehicle_h3_index_11": 123,
      "vehicle_location_occurred_at": "2023-11-07T05:31:56Z",
      "vehicle_location": {
        "type": "<string>",
        "coordinates": {
          "[0]": 123,
          "[1]": 123
        },
        "bbox": {
          "[0]": 123,
          "[1]": 123,
          "[2]": 123,
          "[3]": 123
        }
      }
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

trailer_ids
string<uuid>[] | null

Limit results to specific trailers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?trailer_ids=id1&trailer_ids=id2).

Maximum array length: 100
source_ids
string[] | null

Limit results to specific resources using the identifier provided by the TSP. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?source_ids=id1&source_ids=id2).

Maximum array length: 100
sort_by
string | null

The name of the field to sort results by. If not provided, results will be ordered by occurred_at.

sort_order
enum<string>
default:asc

The order of sorting, either asc for ascending or desc for descending. Defaults to asc if sort_by is provided without sort_order.

Available options:
asc,
desc
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
TrailerLiveLocation · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page